<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iotechn.unimall.data.mapper.sys.dict.SysDictTypeMapper">

	<sql id="selectDictTypeVo">
		SELECT
			dict_id AS "dictId",
			dict_name AS "dictName",
			dict_type AS "dictType",
			status,
			create_by AS "createBy",
			create_time AS "createTime",
			remark 
		FROM
			sys_dict_type
	</sql>
	<select id="checkDictTypeUnique" parameterType="String" resultType="com.iotechn.unimall.data.domain.sys.dict.SysDictType">
		<include refid="selectDictTypeVo" />
		where dict_type = #{dictType}
	</select>
	
	<select id="selectDictTypeAll" resultType="com.iotechn.unimall.data.domain.sys.dict.SysDictType">
		<include refid="selectDictTypeVo"/>
	</select>
</mapper>